{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Companies{% endblock %}

{% block body %}
  <div class="row">
    <h1 class="mb-4 display-1">
      <span class="text-muted">Troupe :</span> {{company.name}}
    </h1>

    <div class="accordion mb-4">

      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-infos" aria-controls="collapse-infos">
            Informations
          </button>
        </h2>

        <div id="collapse-infos" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <ul class="list-group list-group-flush">
              <li class="list-group-item">
                <span class="metadata-name">
                  Début
                </span> 
                
                 <a href="{{ path('dateaccess', {'from': company.startMin|date("Y-m-d", false), 'to': company.startMax|date("Y-m-d", false)}) }}">
                  {{ interval( company.startMin, company.startMax) }}
                </a>

              </li>
              <li class="list-group-item">
                <span class="metadata-name">
                  Fin
                </span> 
                  <a href="{{ path('dateaccess', {'from': company.endMin|date("Y-m-d", false), 'to': company.endMax|date("Y-m-d", false)}) }}">
                  {{ interval( company.endMin, company.endMax) }}
                </a>
              </li>
            </ul>
          </div>
        </div>

      </div>


      {% if company.performances is not empty %}
      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-performances" aria-controls="collapse-performances">
            Représentations
          </button>
        </h2>

        <div id="collapse-performances" class="accordion-collapse collapse show" >
          <div class="accordion-body">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Représentation</th>
                  <th scope="col">Date</th>
                  <th scope="col">Lieu</th>
                  <th scope="col">Nombre d'actes</th>
                </tr>
              </thead>
              <tbody>
                {% for performance in company.performances %}
                <tr>
                  <td scope="col">
                    {% include 'performance/externalRef.html.twig' with {'date' : 'True'} %}
                  </td>
                  <td scope="col">
                        {{ interval( performance.start, performance.end) }}
                  </td>
                  <td scope="col">
                        {% for loc in recursiveIntermediaryParents(performance.location, null) %}                    
                            <a href="{{path('location', {id: loc.id})}}">{{loc.name}}</a> 
                            {{ not loop.last ? ',' }}
                        {% endfor %}
                  </td>
                  <td scope="col">
                        {{performance.actNumber}}
                  </td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
        
      </div>
      {% endif %}

      {% if company.memberships is not empty %}
      <div class="accordion-item">

        <h2 class="accordion-header">
          <button class="accordion-button" type="button" data-bs-toggle="collapse" aria-expanded="true" data-bs-target="#collapse-memberships" aria-controls="collapse-memberships">
            Membres
          </button>
        </h2>

        <div id="collapse-memberships" class="accordion-collapse collapse show" >
          <div class="accordion-body">
           <table id="/*datatable*/" class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">Nom</th>
                  <th scope="col">Rôle</th>
                  <th scope="col">De</th>
                  <th scope="col">À</th>
                </tr>
              </thead>
              <tbody>
                {% for membership in company.memberships|sort((a, b) => a.person.firstname <=> b.person.firstname) %}
                  <tr>
                    <td scope="col">
                      <a href="{{path('person', {id: membership.person.id})}}">
                        {{membership.person.firstname}} {{membership.person.lastname}} 
                        {% if membership.person.pseudonym %}
                        ({{membership.person.pseudonym}})
                        {% endif %}
                      </a>
                    </td>
                    <td scope="col">
                    {{membership.activity.name}}
                    </td>
                    <td scope="col">
                    {{ interval( membership.startMin, membership.startMax) }} 
                    </td>
                    <td scope="col">
                    {{ interval( membership.endMin, membership.endMax) }}
                    </td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
        
      </div>
      {% endif %}

  </div>
</div>
{% endblock %}
